Bug 10191 - 2 option tags are not closed in unimarc_field_115a.tt and unimarc_field_116.tt
Summary: 2 option tags are not closed in unimarc_field_115a.tt and unimarc_field_116.tt
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.14
Hardware: All All
: P5 - low trivial (vote)
Assignee: mathieu saby
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-04 09:33 UTC by mathieu saby
Modified: 2014-12-07 20:02 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10191: Close 2 option tags in unimarc_field_115a.tt and unimarc_field_116.tt (2.15 KB, patch)
2013-05-04 09:39 UTC, mathieu saby
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10191: Close 2 option tags in unimarc_field_115a.tt and unimarc_field_116.tt (2.48 KB, patch)
2013-05-09 15:55 UTC, Owen Leonard
Details | Diff | Splinter Review
[PASSED QA] Bug 10191: Close 2 option tags in unimarc_field_115a.tt and unimarc_field_116.tt (2.77 KB, patch)
2013-05-12 08:56 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description mathieu saby 2013-05-04 09:33:19 UTC

    
Comment 1 mathieu saby 2013-05-04 09:39:32 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2013-05-09 15:55:18 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-05-12 08:56:09 UTC
Created attachment 18087 [details] [review]
[PASSED QA] Bug 10191: Close 2 option tags in unimarc_field_115a.tt and unimarc_field_116.tt

This patch close 2 option tags in unimarc_field_115a.tt and unimarc_field_116.tt.

To test :
- in a UNIMARC Koha instance, edit a record
- open the plugin for 115a subfield
- check the "Form of release - visual projection, motion picture" option
  list is correct, especially the value "other film type"
- open the plugin for 116 field
- check the "Technique (prints) 2" option list is correct, especially
  the value "lithography"

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

I did not test this in Koha, but it's a simple change of one character
which I'm comfortable with signing off on.

I don't know if this counts as a string change or not, since the string
was previously mixed with a malformed tag.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Passes tests and fixes an obvious problem in the HTML.
I checked the po files - currently the strings appear as:
"other film type/option> %s "

So in theory it's possible to translate them correctly even
if the standard templates now are not correct.
Probably has to wait for 3.14.
Comment 4 Galen Charlton 2013-05-20 14:58:04 UTC
Pushed to master.  Thanks, Mathieu!
Comment 5 Tomás Cohen Arazi 2013-05-21 14:03:20 UTC
Pushed to 3.12.x. Will be in 3.12.1. Thanks!
Comment 6 Bernardo Gonzalez Kriegel 2013-05-28 01:22:55 UTC
Pushed to 3.10.x. Will be in 3.10.7.
Comment 7 Chris Hall 2013-05-29 09:41:40 UTC
Pushed to 3.8.x, will be in 3.8.14.